window.RongIMLib.RongIMClient.init("3argexb63s9ie");
// 连接状态监听器
window.RongIMClient.setConnectionStatusListener({
  onChanged: function (status) {
    console.log(status);
  },
});
// 消息监听器
window.RongIMClient.setOnReceiveMessageListener({
  onReceived: function (message) {
    console.log(message);
  },
});

export const initRongRTC = (options) => {
  return new window.RongRTC({
    RongIMLib: window.RongIMLib,
    ...options,
  });
};

export const connectIM = (token) => {
  return new Promise((resolve, reject) => {
    window.RongIMClient.connect(token, {
      onSuccess: (userId) => {
        console.log("connect success, userId:" + userId);
        resolve(userId);
      },
      onTokenIncorrect: () => {
        reject({ type: "token", msg: "token unvalid" });
        console.log("token unvalid");
      },
      onError: (errorCode) => {
        console.log(errorCode);
        reject({ type: "error", msg: errorCode });
      },
    });
  });
};
